/// <reference types="bunyan" />
import { AgentConfig } from "../config";
import { IFootprintsFile } from "../contracts";
import bunyan = require('bunyan');
export declare class FootprintsServiceProxy {
    private httpConfig;
    private httpClient;
    private logger;
    constructor(cfg: AgentConfig, logger: bunyan);
    submitFootprints(packetToSend: IFootprintsFile, callback: (err: Error) => void): void;
    private initHttpConfig(cfg);
    private getHitFiles(packetToSend);
}
