"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parsing_utils_1 = require("../utils/parsing-utils");
var SlEnvVars = /** @class */ (function () {
    function SlEnvVars() {
    }
    SlEnvVars.getHttpTimeout = function () {
        return parsing_utils_1.ParsingUtils.parseNumber(SlEnvVars.HTTP_TIMEOUT);
    };
    //Controls the http timeout for all of the HTTP requests which
    //are being sent use the HttpClient.
    SlEnvVars.HTTP_TIMEOUT = "SL_httpTimeout";
    SlEnvVars.CIA = (_a = /** @class */ (function () {
            function class_1() {
            }
            class_1.getFileExtensions = function () {
                return process.env[SlEnvVars.CIA.FILE_EXTENSIONS];
            };
            class_1.isEnableModernInstrumentation = function () {
                return parsing_utils_1.ParsingUtils.parseBoolean(SlEnvVars.CIA.ENABLE_MODERN_INSTRUMENTATION);
            };
            return class_1;
        }()),
        //Controls if the Build Scanner will have browser instrumentation based on InstanbulJS
        //or using the obsolete sl-node-cover.
        _a.ENABLE_MODERN_INSTRUMENTATION = "SL_enableModernInstrumentation",
        //Allow to override the files extensions that will be scanned and instrumented by the Build Scanner.    
        _a.FILE_EXTENSIONS = "SL_fileExtensions",
        _a);
    return SlEnvVars;
    var _a;
}());
exports.SlEnvVars = SlEnvVars;
//# sourceMappingURL=sl-env-vars.js.map